<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td width="30"></td>
    <td height="100%" valign="top" ><table width="100%" border="0" cellspacing="0" cellpadding="0" height="100%">
      <tr>
        <td width="201" valign="top"  background="images/002_1.gif" style="background-position: left;background-repeat:repeat-y;"><table width="201" height="100%" border="0" cellpadding="0" cellspacing="0">
         <tr>
		 <td height="40" bgcolor="#ffffff"></td>
		 </tr>
		  <tr>
            <td height="301" valign="top" ><table width="201" height="300" border="0" cellpadding="0" cellspacing="0" >
                <tr>
                  <td height="10" bgcolor="#DBDBDB"></td>
                  <td height="10" bgcolor="#DBDBDB"></td>
                  <td height="10" bgcolor="#DBDBDB"></td>
                </tr>
                <tr>
                  <td width="10" valign="top"><img src="images/004.gif" width="10" height="280"/></td>
                  <td valign="top" bgcolor="#ffffff"><img src="images/header.gif" width="180" height="280"/></td>
                  <td width="10" valign="top"><img src="images/004.gif" width="10" height="280"/></td>
                </tr>
                <tr>
                  <td height="10" valign="top" bgcolor="#E7E5EA"></td>
                  <td height="10" valign="top" bgcolor="#E7E5EA"></td>
                  <td height="10" valign="top" bgcolor="#E7E5EA"></td>
                </tr>
            </table></td>
          </tr>
          <tr>
            <td valign="top" background="images/002_1.gif" height="100%"><table width="201" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td><img src="images/002_3.gif" width="201" height="48"/></td>
                </tr>
                <tr>
                  <td height="100" valign="top" background="images/002_2.gif" style="background-position:top;background-repeat:no-repeat;padding-bottom:40px;padding-left:20;padding-right:20px;">
				  <!-- SUBMENU -->
				  <table  border="0" align="center" cellpadding="0" cellspacing="0">
                    <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                  </table><!-- END SUBMENU --></td>
                </tr>
            </table></td>
          </tr>
        </table></td>
        <td valign="top" background="images/003.gif"><table width="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="80" bgcolor="#FFFFFF" style="padding:10px;">
			<!-- LOGO -->
			<table width="300" border="0" align="right" cellpadding="0" cellspacing="0">
              <tr>
                <td class="company" valign="bottom"><div align="right"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
                <td width="65" rowspan="2"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
              </tr>
              <tr>
                <td class="slogan" valign="top"><div align="right"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/> </div></td>
                </tr>
            </table><!-- END LOGO --></td>
          </tr>
          
          <tr>
            <td height="38" background="images/006.gif" bgcolor="#FFFFFF" style="background-position:top right;background-repeat:repeat-x;"  valign="top">
			<!-- MENU -->
			<table  border="0" cellspacing="0" cellpadding="0" height="38">
              <tr>
                <td width="15"></td>
				 <xsl:call-template name="TOP-MENU"/>
                <td width="15"></td>
              </tr>
            </table><!-- END MENU --></td>
          </tr>
          <tr>
            <td height="1" bgcolor="#FFFFFF"></td>
          </tr>
          <tr>
            <td height="3" background="images/005.gif" ></td>
          </tr>
          <tr>
            <td height="3" background="images/003.gif"  style="padding:15px;">
			<!-- CONTENT -->
			<table width="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
              <tr>
                <td><table  border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                      <td><img src="images/008.gif" width="33" height="17"/></td>
                    </tr>
                  </table>
                    <br/>
                  <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
              </tr>
            </table><!-- END CONTENT --></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
    <td width="30"></td>
  </tr>
  <tr>
    <td width="30"></td>
    <td height="13" align="left" valign="top" background="images/003.gif" ><img src="images/002.gif" width="201" height="13"/></td>
    <td width="30"></td>
  </tr>
  <tr>
    <td></td>
    <td valign="bottom" style="padding:15px;"><table width="100%" border="0" cellspacing="0" cellpadding="5">
      <tr>
        <td>
		<!-- BOTTOM MENU -->
		<table border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
		   <td width="15"></td>
            <xsl:call-template name="BOTTOM-MENU"/>
            
			 <td width="15"></td>
          </tr>
        </table><!-- END BOTTOM MENU --></td>
      </tr>
      <tr>
        <td><!-- FOOTER --><table border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
           </tr>
        </table><!-- END FOOTER --></td>
      </tr>
    </table></td>
    <td></td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


<tr>
<td width="27" align="left"><img src="images/009.gif"/></td>
<td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">


 <tr>
<td width="27" align="left"><img src="images/009.gif"/></td>
<td class="smenua"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
</tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

<tr>
<td height="10" colspan="2"></td>
</tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

<td><div align="center"><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

<td class="bmenu"><div align="center"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div></td>

           </xsl:when>
           <xsl:otherwise>

<td><div align="center"><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

<td width="22"><img src="images/001.gif"/></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
