<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body  MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" bgcolor="#ffffff">
<center>
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="18" valign="top"></td>
  </tr>
 <tr>
        <td height="3" background="images/002.jpg" style="background-position:bottom;background-repeat:repeat-x;"></td>
      </tr>
  <tr>
    <td height="45" background="images/002_2.jpg">
	<!-- MENU -->
	<table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="30"></td>
			
           <xsl:call-template name="TOP-MENU"/>
		   <td width="30"></td>
          </tr>
        </table><!-- END MENU --></td>
  </tr>
  <tr>
        <td height="3" background="images/002_1.jpg" style="background-position:bottom;background-repeat:repeat-x;"></td>
      </tr>
  <tr>
    <td valign="top" background="images/003.jpg" style="background-position:top;background-repeat:repeat-x;" height="100%"><table width="100%" border="0" cellspacing="0" cellpadding="0" height="100%">
      <tr>
        <td height="100%" valign="top" background="images/001.jpg" style="background-position:bottom;background-repeat:repeat-x;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td valign="top" background="images/header1.jpg" style="background-position:top;background-repeat:repeat-x;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td valign="top" background="images/header.jpg" style="background-position:top left;background-repeat:no-repeat;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="258" valign="top" style="padding-top:130px;"><table width="258" height="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr>
                              <td width="33" valign="top"><img src="images/line.gif" width="33" height="18"/></td>
                              <td valign="top"><table width="222" height="100%"  border="0" cellpadding="0" cellspacing="0">
                                  <tr>
                                    <td height="30" valign="top"><img src="images/004_2.gif" width="222" height="30"/></td>
                                  </tr>
                                  <tr>
                                    <td valign="top" background="images/004_1.jpg" ><table width="222" height="100%" border="0" cellpadding="0" cellspacing="0" >
                                        <tr>
                                          <td valign="top" background="images/004.jpg" style="background-position:top;background-repeat:no-repeat; padding-bottom:100px;" ><table width="202" border="0" align="center" cellpadding="0" cellspacing="0">
                                              <tr>
                                                <td height="200" valign="top" bgcolor="#FFFFFF" style="padding-top:30px;padding-bottom:30px;"><!-- SUBMENU -->
                                                    <table width="202"  border="0" align="center" cellpadding="0" cellspacing="0">
                                                      <tr>
                                                       <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                                                      </tr>
                                                    </table>
                                                  <!-- END SUBMENU --></td>
                                              </tr>
                                          </table></td>
                                        </tr>
                                    </table></td>
                                  </tr>
                              </table></td>
                              <td width="4" valign="top" bgcolor="#FFFFFF"><img src="images/line1.gif" width="4" height="18"/></td>
                            </tr>
                        </table></td>
                        <td width="19" valign="top" style="padding-top:169px;"><table width="19" height="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr>
                              <td background="images/005.jpg"><img src="images/005.jpg" width="19" height="39"/></td>
                            </tr>
                            <tr>
                              <td height="80" valign="top" background="images/005.jpg"><img src="images/001_2.jpg" width="19" height="80"/></td>
                            </tr>
                        </table></td>
                        <td valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                            <tr>
                              <td height="168" align="right" style="padding-right:40px;"><!-- LOGO -->
                                  <table width="300"  border="0" cellspacing="0" cellpadding="0">
                                    <tr>
                                      <td width="50"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                                      <td style="padding:10px;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                                          <tr>
                                            <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</td>
                                          </tr>
                                          <tr>
                                            <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                                          </tr>
                                      </table></td>
                                    </tr>
                                  </table>
                                <!-- END LOGO --></td>
                            </tr>
                            <tr>
                              <td valign="top" style="padding:20px;"><!-- CONTENT -->
                                  <table width="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
                                    <tr>
                                      <td ><table  border="0" cellspacing="0" cellpadding="0">
                                          <tr>
                                            <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                                            <td><img src="images/006.jpg" width="17" height="17"/></td>
                                          </tr>
                                        </table>
                                          <br/>
                                       <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
                                    </tr>
                                  </table>
                                <!-- END CONTENT --></td>
                            </tr>
                            <tr>
                              <td height="80" valign="bottom" ><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                                <tr>
                                  <td ><!-- BOTTOM MENU -->
                                      <table   border="0" align="center" cellpadding="0" cellspacing="0">
                                        <tr>
                                         <xsl:call-template name="BOTTOM-MENU"/>
										 <td width="10"></td>
                                        </tr>
                                      </table>
                                    <!-- END BOTTOM MENU --></td>
                                </tr>
                                <tr>
                                  <td style="padding:10px;"><!-- FOOTER --><table  border="0" align="center" cellpadding="0" cellspacing="0">
                                      <tr>
                                        <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
                                      </tr>
                                  </table><!-- END FOOTER --></td>
                                </tr>
                              </table></td>
                            </tr>
                        </table></td>
                      </tr>
                  </table></td>
                </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >



<tr>
<td width="33"><img src="images/007.jpg" width="33" height="7"/></td>
<td  class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
<td width="80" background="images/007_1.jpg" style="background-position:center;background-repeat:repeat-x;"></td>
<td class="s1"><xsl:if test="position()&lt;10">0</xsl:if>
<xsl:value-of select="position()"/>
</td>
</tr>


		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">



 <tr>
<td width="33"><img src="images/007.jpg" width="33" height="7"/></td>
<td  class="smenua"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
<td width="80" background="images/007_1.jpg" style="background-position:center;background-repeat:repeat-x;"></td>
<td class="s1"><xsl:if test="position()&lt;10">0</xsl:if>
<xsl:value-of select="position()"/>
</td>
</tr>



		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

<tr>
<td height="10" colspan="4"></td>
</tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

<td style="padding-top:5px;"><div align="center"><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

<td style="padding-top:5px;" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>

           </xsl:when>
           <xsl:otherwise>

<td style="padding-top:5px;"><div align="center"><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

<td width="19" style="padding-top:5px;"><img src="images/007.gif"/></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
