<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >				
			<td>
			<table width="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#C2D8E1">
                      <tr>
                        <td width="10" height="10" valign="top"><img src="images/left-t.gif" width="10" height="10"/></td>
                        <td></td>
                        <td width="10" height="10" valign="top"><img src="images/right-t.gif" width="10" height="10"/></td>
                      </tr>
                      <tr>
                        <td></td>
                        <td>                          <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                            <tr>
                              <td style="padding-right:4px;"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                              <td><img src="images/bullet.gif"/></td>
                            </tr>
                          </table></td>
                        <td></td>
                      </tr>
                      <tr>
                        <td width="10" height="10" valign="bottom"><img src="images/left-b.gif" width="10" height="10"/></td>
                        <td></td>
                        <td width="10" height="10" valign="bottom"><img src="images/right-b.gif" width="10" height="10"/></td>
                      </tr>
                    </table>
					</td>
            </xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
					
			<td>
			<table width="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#C2D8E1">
                      <tr>
                        <td width="10" height="10" valign="top"><img src="images/left-t.gif" width="10" height="10"/></td>
                        <td></td>
                        <td width="10" height="10" valign="top"><img src="images/right-t.gif" width="10" height="10"/></td>
                      </tr>
                      <tr>
                        <td></td>
                        <td>                          <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                            <tr>
                              <td style="padding-right:4px;"><span class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                              <td><img src="images/bullet.gif"/></td>
                            </tr>
                          </table></td>
                        <td></td>
                      </tr>
                      <tr>
                        <td width="10" height="10" valign="bottom"><img src="images/left-b.gif" width="10" height="10"/></td>
                        <td></td>
                        <td width="10" height="10" valign="bottom"><img src="images/right-b.gif" width="10" height="10"/></td>
                      </tr>
                    </table>
					</td>

            </xsl:when>
            <xsl:otherwise>

				<td style="padding-left:4px;padding-right:4px;"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				<td style="padding-right:10px;"><img src="images/bullet.gif" border="0" alt=""/></td>

            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">
	</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
