<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>			
											

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
				<td><img src="images/menu_al.gif" border="0" alt=""/></td>
				<td background="images/menu_abg.gif" style="padding-right: 5px;"><a href="{@HREF}"><img src="images/bullet.gif" border="0" alt=""/></a></td>
				<td background="images/menu_abg.gif"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				<td><img src="images/menu_ar.gif" border="0" alt=""/></td>
            </xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
				<td><img src="images/menu_al.gif" border="0" alt=""/></td>
				<td background="images/menu_abg.gif" style="padding-right: 5px;"><img src="images/bullet.gif" border="0" alt=""/></td>
				<td class="amenu" background="images/menu_abg.gif"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td><img src="images/menu_ar.gif" border="0" alt=""/></td>
            </xsl:when>
            <xsl:otherwise>
				<td><img src="images/menu_l.gif" border="0" alt=""/></td>
				<td background="images/menu_bg.gif" style="padding-right: 5px;"><a href="{@HREF}"><img src="images/bullet.gif" border="0" alt=""/></a></td>
				<td background="images/menu_bg.gif"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				<td><img src="images/menu_r.gif" border="0" alt=""/></td>	
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()"> 		
			<td><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1"/></div></td>
	</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
