<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

 
	<xsl:template match="MENU" mode="sub">
		<xsl:apply-templates select="MENU-ITEM"  mode="sub"/>
	</xsl:template> 

   				
	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
    			<tr>								
    				<td style="padding-left: 3px"><a href="{@HREF}"><img src="images/bullet.gif" border="0"/></a></td>
    				<td align="right" style="padding-right: 5px" height="19" width="100%"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    			</tr>
            </xsl:when>
            <!-- when active-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
    			<tr>								
    				<td style="padding-left: 3px"><img src="images/bullet.gif"/></td>
    				<td align="right" style="padding-right: 3px" height="19" width="100%" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
    			</tr>
            </xsl:when>
            <xsl:otherwise>
    			<tr>								
    				<td style="padding-left: 3px"><a href="{@HREF}"><img src="images/bullet.gif" border="0"/></a></td>
    				<td align="right" style="padding-right: 5px" height="19" width="100%"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    			</tr>
            </xsl:otherwise>
        </xsl:choose>
		<xsl:if test="position()!=last()">
   			<tr><td colspan="2" height="1" style="background-image: url('images/menu_hr.gif'); background-repeat: repeat-x;"></td></tr>
		</xsl:if>
	</xsl:template>


	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
   				<tr>								
   					<td style="padding-left: 3px"><img src="images/submenu_bullet.gif" border="0"/></td>
   					<td style="padding-right: 3px" align="right" height="16" width="100%"><span class="submenu" style="text-decoration:underline;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
   				</tr>
   				<xsl:if test="position()!=last()">
   					<tr><td colspan="2" height="1" style="background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"></td></tr>
   				</xsl:if>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
   					<tr>								
   						<td style="padding-left: 3px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
   						<td style="padding-right: 3px" align="right" height="16" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
   					</tr>
    				<xsl:if test="position()!=last()">
	   					<tr><td colspan="2" height="1" style="background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"></td></tr>
    				</xsl:if>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>
